Create Recurring Resident Charge: Propertyware REST

Create Recurring Resident Charge: Propertyware REST | Method | Interface | |---|---| | POST /v1/leases/autocharges | Leases |

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
lease_idstringRequired
The Propexo unique identifier for the lease
financial_account_idstringRequired
The Propexo unique identifier for the financial account
amount_in_centsintegerRequired
The amount of the recurring resident charge, in cents
charge_due_dayintegerRequired1-31

The day of the month the charge is due. When frequency_normalized is set to ‘WEEKLY’, the charge_due_day must be between 1 and 7

start_datestringRequired
The start date associated with the recurring resident charge
frequency_normalizedenumRequired
The frequency of the recurring resident charge
reference_numberstringOptional
The reference number for the recurring resident charge
descriptionstringOptional
Description of the recurring resident charge
end_datestringOptional
The end date associated with the recurring resident charge

Response

Successful response
metaobject
resultobject

Errors